/*****************************************
	全体指定
*****************************************/
html,
body {
  overflow: auto;
  height: 100%;
  width: 100%;
}
body {
  font-size: 1em;
  font-family: "Meiryo";
}

/*****************************************
	float用にclearfixを指定
*****************************************/

/* for modern brouser */
.clearfix:after {
  content: ".";
  display: block;
  clear: both;
  height: 0;
  visibility: hidden;
}
/* IE7,MacIE5 */
.clearfix {
  display: inline-block;
}
/* WinIE6 below, Exclude MacIE5 \*/
* html .clearfix {
  height: 1%;
}
.clearfix {
  display: block;
}
/**/

/*****************************************
	元サイト用のcssを記載
*****************************************/

.bg-org-green {
  background-color: #17622f;
}

/*****************************************
	btnのaddon
*****************************************/
.btn-small {
  padding: .25rem .5rem;
}

.btn-big {
  padding: 1rem 125rem;
}

.btn-narrow {
  padding-left: .5rem;
  padding-right: .5rem;
}

/*****************************************
	オリジナルの汎用CSS
*****************************************/
.h-100 {
  height: 100%;
}

.h-70 {
  height: 70%;
}

.w-100 {
  width: 100%;
}

.w-50 {
  width: 50%;
}

/*****************************************
	空間線量CSS
*****************************************/
.pointradio-info {
  font-size: 1.1rem;
}
.pointradio-info__name {
  font-weight: bold;
}
.pointradio-info__datetime {
}
.pointradio-info__quantity {
  color: #00f;
  font-size: 1.6rem;
  font-weight: bold;
}

/*****************************************
	モーダル表示
*****************************************/
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  display: none;
  min-width: 100%;
  min-height: 100%;
  overflow: hidden;
  background: rgba(0, 0, 0, 0.7);
  z-index: 10;
}

.legend-modal-box {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  max-height: 80%;
  max-width: 70%;
  height: fit-content;
  width: fit-content;

  overflow:auto;
  border: solid 3px #d00;

  display: none;
}

.legend-modal-box.active {
  display: block;
  background-color: white;
  z-index: 100;
}

.legent-btn-box {
  /*height: fit-content;*/
  height: auto;
}

.legend-modal-box__legend-group {
  max-width: 500px; /*100%;*/
  max-height:80%;
  margin:auto;
  display:block;
}

/*-------------------------------------------------------------------------*
 * PC表示
 *-------------------------------------------------------------------------*/
@media only screen and (min-width: 64em) {
  .main-container {
    min-width: 1000px;
    border-left: 5px solid #17622f;
    border-right: 5px solid #17622f;
    min-height: 100%;
    height: 100%;
    width: calc(100% - 10px);
    position: relative;
  }
  /*****************************************
	Header
*****************************************/
  .header {
    background-color: #fff;
    border-top: 5px solid #17622f;
    border-bottom: 5px solid #17622f;
    position: relative;
  }
  .header__contents {
    /* background: url(../images/pc/header/header_bg.png) 462px 0 no-repeat; */
    /* width: 1000px; */
    height: 50px;
    margin: 0 auto;
    overflow: hidden;
    position: relative;
  }
  .logo-title {
    width: 584px;
    height: 40px;
    margin: 5px 0 0 5px;
    float: left;
  }
  .logo-title a.logo-img {
    background: url(../images/pc/header/logo_title.png) 0 0 no-repeat;
    width: 100%;
    height: 100%;
    display: block;
    text-indent: 100%;
    overflow: hidden;
    white-space: nowrap;
  }
  .logo-title a.logo-img:hover {
    filter: alpha(opacity=70);
    -moz-opacity: 0.7;
    opacity: 0.7;
  }

  .mb-header-btn-box {
    display: none;
  }

  /*****************************************
	Tools
*****************************************/
  .tool-box {
    width: 300px;
    margin: 8px 0 0 0;
    float: right;
    letter-spacing: -0.4em;
    text-align: right;
  }

  /*****************************************
	Size Changer
*****************************************/
  .size-changer {
    background: #eee;
    margin: 0 0 5px 0;
    padding: 5px 5px 5px 0;
    display: inline-block;
    overflow: hidden;
    letter-spacing: normal;
    vertical-align: bottom;
    color: #17622f;
  }
  .size-changer dt {
    width: 6em;
    padding: 0 1em 0 0;
    height: 38px;
    line-height: 38px;
    float: left;
    font-size: 0.8em;
    overflow: hidden;
  }
  .size-changer dd {
    width: 74px;
    height: 38px;
    float: left;
  }
  .size-changer dd.size-changer__df {
    margin: 0 4px 0 0;
  }
  .size-changer dd a {
    display: block;
    width: 100%;
    height: 100%;
    background: url(../images/pc/parts/tools_textsize.png) 0 0 no-repeat !important;
    text-indent: 100%;
    overflow: hidden;
    white-space: nowrap;
  }
  .size-changer dd.size-changer__zf {
    margin-inline-start: 0px;
    margin-left: 0px;
  }
  .size-changer dd.size-changer__df a {
    background-position: 0 0 !important;
  }
  .size-changer dd.size-changer__zf a {
    background-position: -74px 0 !important;
  }
  .size-changer dd.size-changer__df a:hover {
    background-position: 0 -38px !important;
  }
  .size-changer dd.size-changer__zf a:hover {
    background-position: -74px -38px !important;
  }
  /*****************************************
	Color Changer
*****************************************/
  .color-changer {
    background: #eee;
    margin: 0;
    padding: 5px 5px 5px 0;
    display: inline-block;
    overflow: hidden;
    letter-spacing: normal;
    vertical-align: bottom;
    color: #17622f;
  }
  .color-changer dt {
    width: 6em;
    padding: 0 1em 0 0;
    height: 38px;
    line-height: 38px;
    float: left;
    font-size: 0.8em;
    overflow: hidden;
  }
  .color-changer dd {
    width: 46px;
    height: 38px;
    margin: 0 7px 0 0;
    float: left;
  }
  .color-changer dd.color-changer__bg-yellow {
    margin: 0;
  }
  .color-changer dd a {
    display: block;
    width: 100%;
    height: 100%;
    background: url(../images/pc/parts/tools_colorchanger.png) 0 0 no-repeat !important;
    text-indent: 100%;
    overflow: hidden;
    white-space: nowrap;
  }
  .color-changer dd.color-changer__bg-default a {
    background-position: 0 0 !important;
  }
  .color-changer dd.color-changer__bg-blue a {
    background-position: -46px 0 !important;
  }
  .color-changer dd.color-changer__bg-yellow a {
    background-position: -92px 0 !important;
  }
  .color-changer dd.color-changer__bg-default a:hover {
    background-position: 0 -38px !important;
  }
  .color-changer dd.color-changer__bg-blue a:hover {
    background-position: -46px -38px !important;
  }
  .color-changer dd.color-changer__bg-yellow a:hover {
    background-position: -92px -38px !important;
  }

  /*****************************************
	Navigation
*****************************************/
  .gnav {
    width: 100%;
    border-top: 5px solid #17622f;
    background-color: #eeeeee;
  }
  .gnav ul {
    width: 1000px;
    margin: 0 auto;
    padding: 5px 0;
    overflow: hidden;
    list-style: none;
    position: relative;
  }
  .gnav ul li {
    width: 246px;
    height: 83px;
    margin: 0 5px 0 0;
    float: left;
  }

  .gnav-left-box {
    float: left;
    text-align: left;
    margin-top: 5px;
    margin-left: 5px;
  }

  .gnav-right-box {
    float: right;
    text-align: right;
    margin-top: 5px;
    margin-right: 5px;
  }

  .emergency-title__img {
    margin-left: 10px;
  }

  .emergency-title__text {
    vertical-align: bottom;
    font-size: 1.5em;
    font-weight: bold;
    /* margin-top: 10px; */
    margin-left: 20px;
    color: black;
  }

  /*****************************************
	メインコンテナー
*****************************************/
  .main {
    height: calc(100% - 128px - 25px);
  }
  .setting-box {
    height: 100%;
    overflow: auto;
    display: block;
    background-color: #fff;
    color: #d00;
  }

  .map-box {
    height: 100%;
    overflow: auto;
    background-color: #fff;
  }

  /*****************************************
	モバイル用ボタングループ
*****************************************/
  .map-option-btn-box {
    display: none;
  }

  .close-btn-box {
    display: none;
  }

  /* 凡例の閉じるボタンはPCでも表示する */
  .legend-modal-box .close-btn-box {
    display: block;
  }

  /*****************************************
	Setting Box
*****************************************/
  .map-setting-box {
    text-align: center;
    margin: 4px 2px;
    border: solid 3px #d00;
    display: grid;
    font-size: 0.8rem;
  }

  .map-setting-box select {
    color: #d00;
    font-size: 0.8rem;
    padding: 2px 2px;
    background-color:white;
  }

  .map-setting-box__title {
    font-weight: bold;
    display: block;
    font-size: 0.9rem;
  }

  .map-setting-box__description {
    display: block;
  }

  .map-setting-box__city1-text {
    display: block;
    font-size: 0.9rem;
  }
  .map-setting-box .map-setting-box__city1-select {
    height:auto;
  }

  .map-setting-box__city2-text {
    display: block;
    font-size: 0.9rem;
  }
  .map-setting-box .map-setting-box__city2-select {
    height:auto;
  }

  .map-setting-box__district-text {
    display: block;
    font-size: 0.9rem;
  }
  .map-setting-box .map-setting-box__district-select {
    height:auto;
  }

  .map-setting-box__evacuation-text {
    display: block;
    font-size: 0.9rem;
  }
  .map-setting-box .map-setting-box__evacuation-select {
    height:auto;
  }

  /*****************************************
				Setting Show Box 設定結果表示エリア
*****************************************/
  /* 表示設定 */
  .setting-show-box {
    font-size: 0.8em;
    margin: 4px 2px;
    overflow: auto;
    overflow-x: hidden;
    color: white;
    border: solid 3px #d00;
    background-color: orangered;
  }

  /*****************************************
	Map Option Box 地図表示内容選択エリア
*****************************************/
  .map-option-box {
    margin: 4px 2px;
    border: solid 3px #d00;
    font-size: 0.8em;
  }

  .map-option-box .btn {
    padding: .1rem 0.5rem;
  }

  .map-option-box checkbox {
    display: table-cell;
  }

  .check-label {
    display: block;
  }

  .map-option-box label.check-label span {
    display: table-cell;
    vertical-align: middle;
    padding-left: 5px;
    color: #d00; /* basecssのbtnが優先されるため詳細指定 */
  }

  .map-option-box__title {
    font-weight: bold;
    display: block;
    font-size: 1.2em;
  }

  /*****************************************
	GoogleMap表示エリア
*****************************************/
  /* map外枠 */
  .map-contents {
    /* height: 80%; */
    /* position: relative; */
    border-style: solid;
    border-width: thin;
    margin-top: 0.5rem;
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    height: calc(100% - 10px);
    position: relative;
  }

  /* 現在地ボタン */
  .map-contents__current-btn {
    position: absolute;
    right: 10px;
    top: 40px;
    height:40px;
    width:40px;
    z-index: 1;
  }

  .map-contents__body {
    width: 100%;
    height: 100%;
  }

  .map-contents__dose-rate-img {
    height: 3rem;
  }

  .map-contents__legend-1 {
    margin-top: 2px;
    width: 400px;
  }

  .map-contents__legend-2 {
    margin-top: 2px;
    width: 750px;
  }

  .map-contents__zoom-level {
    position: absolute;
    right: 15px;
    top: 10px;
    z-index: 1;
  }

  /*****************************************
	GoogleMap infoWindow
*****************************************/
  .info-window {
    font-size: 1.3em;
  }
  .info-window .info-window__title {
    margin: 0;
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 1.3em;
    line-height: 2rem;
  }

  /* 避難所のテーブル表示部分 */
  .info-window .info-window__evacuation-route {
    width: 30rem;
  }
  .info-window .info-window__evacuation-route table {
    width: 100%;
    font-size: 0.5em;
    border: solid 1px gray;
    border-collapse: separate;
  }
  .info-window .info-window__evacuation-route thead td {
    width: 12.5% !important;
    font-size: 1.3em;
    border: solid 1px gray;
    border-collapse: collapse;
    text-align: center;
    vertical-align: middle;
    padding: 2px;
  }
  .info-window .info-window__evacuation-route tbody td {
    /* width: 12.5% !important; */
    font-size: 1.3em;
    border: solid 1px gray;
    border-collapse: collapse;
    text-align: center;
    vertical-align: middle;
  }

  .info-window .info-window__img {
    max-width: 300px;
  }

  .info-window-ukai .info-window__img {
    max-width: 630px;
  }

  /*****************************************
	footer
*****************************************/
  .footer {
    background-color: #eeeeee;
    position: absolute;
    bottom: 0;
    width: calc(100%);
    text-align: center;
    border-bottom: 5px solid #17622f;
  }

  .footer__copyright {
    text-align: center;
    color: #17622f;
    line-height: 20px;
    font-size: 0.8em;
    font-weight: bold;
  }
}

/*-------------------------------------------------------------------------*
 * タブレット表示(スマホ～PCの中間値)
 *-------------------------------------------------------------------------*/
/* @media only screen and (min-width: 479px) and (max-width: 979px) { */
/* @media only screen and (min-width: 40em) and (max-width: 52em) { */
@media only screen and (max-width: 63.999em) {
  body {
    height: calc(100% - 2px);
    width: calc(100% - 4px);
    border-left: 2px solid #17622f;
    border-right: 2px solid #17622f;
    border-bottom: 2px solid #17622f;
  }
  .main-container {
    /* min-width: 1000px; */
    min-height: 100%;
    height: 100%;
    width: 100%;
    position: relative;
  }

  select:not([multiple]) {
    height: 1.7rem;
    vertical-align: middle;
  }

  /*****************************************
    不要コードを隠す
  *****************************************/
  .tool-box {
    display: none;
  }
  .gnav {
    display: none;
  }

  /*****************************************
	Header
*****************************************/
  .header {
    border-top: 2px solid #17622f;
    border-bottom: 2px solid #17622f;
    position: relative;
    overflow: hidden;
  }
  .header__contents {
    overflow: hidden;
    position: relative;
    z-index: 2;
  }
  .logo-title {
    /* width: 160px;
	height: 63px; */
    float: left;
    margin-left:5px;
    padding: 7px 0px 1px 0px;
  }
  .logo-title a.logo-img {
    display: block;
    width: 250px;
    background: url(../images/sp/header/logo_title.png) 0 0 no-repeat;
    background-size: 250px auto;
    text-indent: 105%;
    overflow: hidden;
    white-space: nowrap;
  }
  .logo-title a.logo-img:hover {
    filter: alpha(opacity=70);
    -moz-opacity: 0.7;
    opacity: 0.7;
  }

  .sp-return-btn {
    margin-top: 0.1em;
  }

  /* .btn-menu-box {
    float: right;
    display: block;
    width: 40px;
    height: 40px;
    margin: 6px 0 0 0;
    background: url(../images/sp/parts/btn_menubox.png) 0 0 no-repeat;
    background-size: 40px auto;
    text-indent: 105%;
    overflow: hidden;
    white-space: nowrap;
  } */

  /*****************************************
	メインコンテナー
*****************************************/
  .main {
    /* height: calc(100% - 200px - 25px); */
    height: calc(100% - 66px);
  }
  .setting-box {
    /* height: 100%; */
    overflow: auto;
    display: block;
    background-color: #fff;
    color: #d00;
    margin-top:2px;
  }

  .map-box {
    height: calc(100% - 38px);
    overflow: auto;
    background-color: #fff;
  }

  /*****************************************
	モバイル用ボタングループ
*****************************************/
  .map-option-btn-box {
    margin-left: 3px;
    margin-top: 5px;
    display: block;
  }

  .map-option-btn {
    color: #d33;
    cursor: pointer;
    padding: 0px 5px;
    border: solid 2px #d00;
    background-color: white;
  }

  .map-option-btn__display-legend {
    margin-right:5px;
  }

  .close-btn-box {
    display: block;
  }

  /*****************************************
	Setting Box
*****************************************/
  .map-setting-box {
    display: none;
    text-align: center;
    font-size: 1em;
    margin: 8px 4px;
    border: solid 3px #d00;

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    max-height: 220px;
    width: 95%;
    overflow:auto;
  }
  .map-setting-box.active {
    display: inline-table;
    background-color: white;
    z-index: 100;
  }

  .map-setting-box select {
    color: #d00;
    padding: 2px 2px;
    background-color:white;
  }

  .map-setting-box__title {
    font-weight: bold;
    display: block;
  }

  .map-setting-box__description {
    display: block;
    font-size: 1em;
  }

  .map-setting-box__city1-text {
    display: block;
  }

  .map-setting-box__city2-text {
    display: block;
  }

  .map-setting-box__district-text {
    display: block;
  }

  .map-setting-box__evacuation-text {
    display: block;
  }

  /*****************************************
				Setting Show Box 設定結果表示エリア
*****************************************/
  /* 表示設定 */
  .setting-show-box {
    font-size: 0.875em;
    margin: 4px 2px;
    overflow: auto;
    color: white;
    border: solid 3px #d00;
    background-color: orangered;
  }

  /*****************************************
	Map Option Box 地図表示内容選択エリア
*****************************************/
  .map-option-box {
    display: none;
    margin: 8px 4px;
    border: solid 3px #d00;

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    /* height: 80%; */
    /* min-height: 200px; */
    max-height: 350px;
    width: 95%;
    overflow:auto;
  }
  .map-option-box.active {
    display: inline-table;
    background-color: white;
    z-index: 100;
  }

  .map-option-box checkbox {
    display: table-cell;
  }

  .map-option-box label.check-label span {
    display: table-cell;
    vertical-align: middle;
    padding-left: 5px;
    color: #d00; /* basecssのbtnが優先されるため詳細指定 */
  }

  .map-option-box__title {
    font-weight: bold;
    display: block;
    font-size: 1em;
  }

  /*****************************************
	GoogleMap表示エリア
*****************************************/
  /* map外枠 */
  .map-contents {
    border-style: solid;
    border-width: thin;
    margin-top: 0.2rem;
    height: calc(100% - 5px);
    position: relative;
  }

  /* 現在地ボタン */
  .map-contents__current-btn {
    position: absolute;
    right: 10px;
    top: 40px;
    height:40px;
    width:40px;
    z-index: 1;
  }

  .map-contents__body {
    width: 100%;
    height: 100%;
  }

  .map-contents__dose-rate-img {
    display: none;
  }

  .map-contents__legend-1 {
    display: none;
  }

  .map-contents__legend-2 {
    display: none;
  }

  .map-contents__zoom-level {
    position: absolute;
    right: 15px;
    top: 10px;
    z-index: 1;
  }

  /*****************************************
	GoogleMap infoWindow
*****************************************/
  .info-window {
    font-size: 1em;
  }
  .info-window .info-window__title {
    margin: 0;
    margin-bottom: 5px;
    font-weight: bold;
    font-size: 1.2em;
    line-height: 2rem;
  }

  /* 避難所のテーブル表示部分 */
  .info-window .info-window__evacuation-route {
    /* width: 30rem; */
  }
  .info-window .info-window__evacuation-route table {
    width: 210px;
    font-size: 1.2em;
    border: solid 1px gray;
    border-collapse: separate;
  }
  .info-window .info-window__evacuation-route thead td {
    width: 12.5% !important;
    font-size: 0.8em;
    border: solid 1px gray;
    border-collapse: collapse;
    text-align: center;
    vertical-align: middle;
    padding: 0px;
  }
  .info-window .info-window__evacuation-route tbody td {
    /* width: 12.5% !important; */
    font-size: 0.8em;
    border: solid 1px gray;
    border-collapse: collapse;
    text-align: center;
    vertical-align: middle;
    padding: 1px;
  }

  .info-window .info-window__img {
    max-width: 300px;
  }

  .info-window-ukai .info-window__img {
    max-width: 400px;
  }

  /*****************************************
	footer
*****************************************/
  .footer {
    background-color: #eeeeee;
    position: absolute;
    bottom: 0;
    width: calc(100%);
    text-align: center;
  }
  .footer__copyright {
    display: none;
  }
}

/*-------------------------------------------------------------------------*
 * スマホ表示
 *-------------------------------------------------------------------------*/
/* @media only screen and (max-width: 479px) {
} */

@media only screen and (max-width: 20rem) {
  .map-option-btn-box {
    font-size:0.8em;
  }

  .logo-title a.logo-img {
    display: block;
    width: 200px;
    background: url(../images/sp/header/logo_title.png) 0 0 no-repeat;
    background-size: 200px auto;
    text-indent: 105%;
    overflow: hidden;
    white-space: nowrap;
  }
}

@media only screen and (max-width: 40em) {
  .map-box {
    height: calc(100% - 4px);
  }
  .map-contents {
    height: calc(100% - 5px);
  }
}

/**
 IE用
*/
@media all and (-ms-high-contrast: none) {
  .map-setting-box {
    display: block;
  }

  .legend-modal-box {
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
  
    overflow:auto;
    border: solid 3px #d00;
  
    display: none;
  }
  
  .legend-modal-box.active {
    display: inline-table;
    background-color: white;
    z-index: 100;
  }
  
  .legent-btn-box {
    height: auto;
  }
  
  .legend-modal-box__legend-group {
    max-width: 500px; /*100%;*/ 
    max-height:80%;
    margin:auto;
    display:block;
  }
}

@media only screen and (-ms-high-contrast: none) and (max-width: 63.999em){

  .map-setting-box {
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
  
    overflow:auto;
    border: solid 3px #d00;
  
    display: none;
  }
  .map-setting-box.active {
    display: inline-table;
    background-color: white;
    z-index: 100;
  }

  .map-option-box {
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
  
    overflow:auto;
    border: solid 3px #d00;
  
    display: none;
  }
  .map-option-box.active {
    display: inline-table;
    background-color: white;
    z-index: 100;
  }
}

/*Firefoxだけに適用される*/
@-moz-document url-prefix() {
  .legend-modal-box {
    position: fixed;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
  
    overflow:auto;
    border: solid 3px #d00;
    margin: 0;
  
    display: none;
  }
  
  .legend-modal-box.active {
    display: inline-table;
    background-color: white;
    z-index: 100;
  }
}

/*Firefoxだけに適用される (max-width: 63.999em) */
@media only screen and (max-width: 63.999em) {
  @-moz-document url-prefix() {
    .map-setting-box {
      display: none;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
    }
  
    .map-setting-box.active {
      display: inline-table;
    }
  
    .map-option-box {
      display: none;
      height: -moz-fit-content;
      width: -moz-fit-content;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
    }
  
    .map-option-box.active {
      display: table;
    }
  
    .legend-modal-box {
      position: fixed;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
    
      overflow:auto;
      border: solid 3px #d00;
      margin: 0;
    
      display: none;
    }
    
    .legend-modal-box.active {
      display: inline-table;
      background-color: white;
      z-index: 100;
    }
    
    .legent-btn-box {
      height: auto;
    }
    
    .legend-modal-box__legend-group {
      max-width: 500px; /*100%;*/
      max-height:80%;
      margin:auto;
      display:block;
    }
  } 
}